com.h3c.of.ctl

## Interface ControllerStats

- All Known Implementing Classes:
    ControllerStatsAdapter

      public interface ControllerStats

  Represents statistics about the number of OpenFlow messages handled by the controller. Note that counts for PacketIn/PacketOut are separated from the remaining message types. The duration since the counts were last reset to zero is also provided allowing through3cut statistics to be calculated.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `duration()` Returns the number of milliseconds since the statistics were last reset to zero.
    `long` | `msgRxCount()` Returns the number of `OpenFlow messages` received by the controller (excluding PacketIns).
    `long` | `msgTxCount()` Returns the number of `OpenFlow messages` issued by the controller (excluding PacketOuts).
    `long` | `packetDropBytes()` Returns the total number of bytes reported via the `total length` fields of all PacketIn messages for which no PacketOut message was issued.
    `long` | `packetDropCount()` Returns the number of `PacketIn` messages for which no `PacketOut` message was issued.
    `long` | `packetInBytes()` Returns the total number of bytes reported via the `total length` fields of all PacketIn messages received by the controller.
    `long` | `packetInCount()` Returns the number of `PacketIn` messages received by the controller.
    `long` | `packetOutBytes()` Returns the total number of bytes from packets "processed" by the controller, via the PacketOut messages issued.
    `long` | `packetOutCount()` Returns the number of `PacketOut` messages issued by the controller.

- - ### Method Detail

    - #### duration

          long duration()

      Returns the number of milliseconds since the statistics were last reset to zero.
      Returns:
        milliseconds since last reset to zero

    - #### packetInCount

          long packetInCount()

      Returns the number of `PacketIn` messages received by the controller.
      Returns:
        the count of PacketIns

    - #### packetInBytes

          long packetInBytes()

      Returns the total number of bytes reported via the `total length` fields of all PacketIn messages received by the controller.
      Returns:
        the total number of bytes reported by PacketIn messages

    - #### packetOutCount

          long packetOutCount()

      Returns the number of `PacketOut` messages issued by the controller. Note that this number includes synthetic packets not otherwise associated with a PacketIn message.
      Returns:
        the count of PacketIns

    - #### packetOutBytes

          long packetOutBytes()

      Returns the total number of bytes from packets "processed" by the controller, via the PacketOut messages issued.
      Returns:
        the total number of bytes reported by PacketOut messages

    - #### packetDropCount

          long packetDropCount()

      Returns the number of `PacketIn` messages for which no `PacketOut` message was issued.
      Returns:
        the count of "dropped" packets

    - #### packetDropBytes

          long packetDropBytes()

      Returns the total number of bytes reported via the `total length` fields of all PacketIn messages for which no PacketOut message was issued.
      Returns:
        the total number of bytes reported by "dropped" PacketIn messages

    - #### msgRxCount

          long msgRxCount()

      Returns the number of `OpenFlow messages` received by the controller (excluding PacketIns).
      Returns:
        the count of OpenFlow messages received (excluding PacketIns)

    - #### msgTxCount

          long msgTxCount()

      Returns the number of `OpenFlow messages` issued by the controller (excluding PacketOuts).
      Returns:
        the count of OpenFlow messages issued (excluding PacketOuts)

Copyright © 2014. All Rights Reserved.